Bug 616935 - Review Request: gworkspace - The official GNUstep workspace manager
Review Request: gworkspace - The official GNUstep workspace manager
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-21 15:08 EDT by Jochen Schmitt
Modified: 2011-10-30 08:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-30 08:35:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jochen Schmitt 2010-07-21 15:08:30 EDT
Spec URL: http://www.herr-schmitt.de/pub/gworkspace/gworkspace.spec
SRPM URL: http://www.herr-schmitt.de/pub/gworkspace/gworkspace-0.8.8-1.fc13.src.rpm
Description: 
The official GNUstep workspace manager which It's a clone of NextStep's
workspace manager and already ready for daily use.

GWorkspace is probably one of the most useful and usable workspace 
managers available on any platform, owing to its well-designed 
interface and the natural, consistent design that it inherits from 
the GNUstep framework.
Comment 1 Jason Tibbitts 2010-12-01 22:14:42 EST
Is it possible for you to comment on the large number of rpmlint complaints this package produces?  You should be running rpmlint yourself and addressing the complaints as part of the submission process, but here's a list of the complaints for reference:

gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 NSInvalidArgumentException
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 NSMallocException
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 NSInternalInconsistencyException
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 __objc_class_name_NSRecursiveLock
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 __objc_class_name_NSException
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 __objc_class_name_NSConstantString
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 __objc_class_name_NSMutableSet
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 __objc_class_name_NSNumber
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 __objc_class_name_NSMutableData
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 __objc_class_name_NSAutoreleasePool
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 __objc_class_name_NSMutableArray
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 __objc_class_name_NSData
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 __objc_class_name_NSObject
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 __objc_class_name_Protocol
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 __objc_class_name_NSFileManager
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 __objc_class_name_NSMutableDictionary
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 __objc_class_name_NSFileHandle
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 __objc_class_name_NSString
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 _NSRangeExceptionRaise
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 NSDefaultMallocZone
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 objc_get_class
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 objc_msg_lookup
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 __objc_exec_class
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 NSZoneFree
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 NSZoneCalloc
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 objc_msg_lookup_super
gworkspace.x86_64: W: undefined-non-weak-symbol /usr/lib64/libDBKit.so.0.0.1 NSZoneRealloc
gworkspace.x86_64: W: hidden-file-or-dir /usr/lib64/GNUstep/Bundles/NSColorViewer.inspector/Resources/English.lproj/Help.rtfd/.gwdir
gworkspace.x86_64: W: dangling-relative-symlink /usr/lib64/GNUstep/Frameworks/Inspector.framework/Inspector ./Versions/Current/Inspector
gworkspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/GNUstep/Frameworks/FSNode.framework/Versions/0/Headers/FSNodeRep.h
gworkspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/GNUstep/Frameworks/Inspector.framework/Versions/0/Headers/Inspector.h
gworkspace.x86_64: W: dangling-relative-symlink /usr/lib64/GNUstep/Frameworks/Inspector.framework/Resources Versions/Current/Resources
gworkspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/GNUstep/Frameworks/FSNode.framework/Versions/0/Headers/FSNBrowserMatrix.h
gworkspace.x86_64: W: dangling-relative-symlink /usr/lib64/libInspector.so.0.1.0 ./GNUstep/Frameworks/Inspector.framework/Versions/Current/libInspector.so.0.1.0
gworkspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/GNUstep/Frameworks/Operation.framework/Versions/1/Headers/Operation.h
gworkspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/GNUstep/Frameworks/Inspector.framework/Versions/0/Headers/ContentViewersProtocol.h
gworkspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/GNUstep/Frameworks/FSNode.framework/Versions/0/Headers/FSNIcon.h
gworkspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/GNUstep/Frameworks/FSNode.framework/Versions/0/Headers/FSNPathComponentsViewer.h
gworkspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/GNUstep/Frameworks/FSNode.framework/Versions/0/Headers/FSNListView.h
gworkspace.x86_64: W: dangling-relative-symlink /usr/lib64/GNUstep/Frameworks/Operation.framework/Operation ./Versions/Current/Operation
gworkspace.x86_64: W: dangling-relative-symlink /usr/lib64/GNUstep/Frameworks/Inspector.framework/Headers Versions/Current/Headers
gworkspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/GNUstep/Frameworks/FSNode.framework/Versions/0/Headers/FSNIconsView.h
gworkspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/GNUstep/Frameworks/FSNode.framework/Versions/0/Headers/FSNBrowserColumn.h
gworkspace.x86_64: W: hidden-file-or-dir /usr/lib64/GNUstep/Bundles/IBViewViewer.inspector/Resources/English.lproj/Help.rtfd/.gwdir
gworkspace.x86_64: W: dangling-relative-symlink /usr/lib64/GNUstep/Frameworks/Operation.framework/Headers Versions/Current/Headers
gworkspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/GNUstep/Frameworks/FSNode.framework/Versions/0/Headers/FSNBrowser.h
gworkspace.x86_64: W: hidden-file-or-dir /usr/lib64/GNUstep/Bundles/ImageViewer.inspector/Resources/English.lproj/Help.rtfd/.gwdir
gworkspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/GNUstep/Frameworks/FSNode.framework/Versions/0/Headers/FSNFunctions.h
gworkspace.x86_64: W: dangling-relative-symlink /usr/lib64/GNUstep/Frameworks/Operation.framework/Resources Versions/Current/Resources
gworkspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/GNUstep/Frameworks/FSNode.framework/Versions/0/Headers/FSNode.h
gworkspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/GNUstep/Frameworks/FSNode.framework/Versions/0/Headers/FSNTextCell.h
gworkspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/GNUstep/Frameworks/FSNode.framework/Versions/0/Headers/FSNBrowserScroll.h
gworkspace.x86_64: W: dangling-relative-symlink /usr/lib64/GNUstep/Frameworks/FSNode.framework/FSNode ./Versions/Current/FSNode
gworkspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/GNUstep/Frameworks/FSNode.framework/Versions/0/Headers/FSNBrowserCell.h
gworkspace.x86_64: W: dangling-relative-symlink /usr/lib64/libOperation.so.1 ./GNUstep/Frameworks/Operation.framework/Versions/Current/libOperation.so.1
gworkspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/GNUstep/Frameworks/FSNode.framework/Versions/0/libFSNode.so
gworkspace.x86_64: W: dangling-relative-symlink /usr/lib64/libFSNode.so.0 ./GNUstep/Frameworks/FSNode.framework/Versions/Current/libFSNode.so.0
gworkspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/GNUstep/Frameworks/Operation.framework/Versions/1/libOperation.so
gworkspace.x86_64: W: devel-file-in-non-devel-package /usr/lib64/GNUstep/Frameworks/Inspector.framework/Versions/0/libInspector.so
gworkspace.x86_64: W: dangling-relative-symlink /usr/lib64/GNUstep/Frameworks/FSNode.framework/Headers Versions/Current/Headers
gworkspace.x86_64: W: dangling-relative-symlink /usr/lib64/libInspector.so.0 ./GNUstep/Frameworks/Inspector.framework/Versions/Current/libInspector.so.0
gworkspace.x86_64: W: dangling-relative-symlink /usr/lib64/libOperation.so.1.0.0 ./GNUstep/Frameworks/Operation.framework/Versions/Current/libOperation.so.1.0.0
gworkspace.x86_64: W: dangling-relative-symlink /usr/lib64/GNUstep/Frameworks/FSNode.framework/Resources Versions/Current/Resources
gworkspace.x86_64: W: dangling-relative-symlink /usr/lib64/libFSNode.so.0.1.0 ./GNUstep/Frameworks/FSNode.framework/Versions/Current/libFSNode.so.0.1.0
gworkspace.x86_64: W: no-manual-page-for-binary wopen
gworkspace.x86_64: W: no-manual-page-for-binary Recycler
gworkspace.x86_64: W: no-manual-page-for-binary searchtool
gworkspace.x86_64: W: no-manual-page-for-binary ddbd
gworkspace.x86_64: W: no-manual-page-for-binary lsfupdater
gworkspace.x86_64: W: no-manual-page-for-binary fswatcher
gworkspace.x86_64: W: no-manual-page-for-binary GWorkspace
gworkspace.x86_64: W: no-manual-page-for-binary resizer
gworkspace-devel.x86_64: W: no-documentation
gworkspace-devel.x86_64: W: dangling-relative-symlink /usr/include/Inspector ../lib64/GNUstep/Frameworks/Inspector.framework/Headers
gworkspace-devel.x86_64: W: dangling-relative-symlink /usr/include/FSNode ../lib64/GNUstep/Frameworks/FSNode.framework/Headers
gworkspace-devel.x86_64: W: dangling-relative-symlink /usr/include/Operation ../lib64/GNUstep/Frameworks/Operation.framework/Headers
Comment 2 Jochen Schmitt 2010-12-02 12:45:42 EST
O, the main issue are the warnings about dangling relative symlinks. This may be a hint to sym links which points to files which are not packaged in the submitted package.

I have done a probe relating to this warning messages and have to find out, that the compaints targets files exists in the submitted package. This was the reason for ignoring this huge amount of warning because I think there is a weakness of danling sym links detection in rpmlint.

The missing of the man pages are not a issue for GUI releated applications and the unusal location of header files is common for GNUstep related applications.

At least the wak symbol warning may only fixed by the upstream, so I don't have investigate any time to fix it as long as the applcaiton works properly.
Comment 3 Mario Blättermann 2011-04-27 07:51:36 EDT
Hi Jochen,

if you are still interested in a review, please update the file links. Both are unavailable.
Comment 4 Jochen Schmitt 2011-05-02 13:39:33 EDT
Sorry, for the technical issue. I have re-uploaded the files:

Spec URL: http://www.herr-schmitt.de/pub/gworkspace/gworkspace.spec
SRPM URL:
http://www.herr-schmitt.de/pub/gworkspace/gworkspace-0.8.8-1.fc14.src.rpm
Comment 5 Mario Blättermann 2011-05-02 14:43:57 EDT
(In reply to comment #4)
> Sorry, for the technical issue. I have re-uploaded the files:
> 
> Spec URL: http://www.herr-schmitt.de/pub/gworkspace/gworkspace.spec
> SRPM URL:
> http://www.herr-schmitt.de/pub/gworkspace/gworkspace-0.8.8-1.fc14.src.rpm

Many thanks!

The current problem is, rpmlint produces a lot of error messages because the GNUStep stuff doesn't follow the usual way for installing applications. Well, would be really nice to have one more alternative desktop environment in Fedora, but first we need some applicable packaging rules for GNUStep (and extensions of the rpmlint routines, though). We should discuss this in the "packaging" mailing list, shouldn't we?
Comment 6 Mario Blättermann 2011-05-03 15:11:36 EDT
The srpm is still unusable (bad file descriptor). Nevertheless I've build my own srpm and feed Koji with it:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3048215

Well, it builds, but the dependency to gnustep-back is still missing, which includes gnustep-gui recursively. This dependency isn't picked up automatically.
Comment 7 Mario Blättermann 2011-10-16 08:53:41 EDT
Still any interest to keep this review request alive? If not, the report should be closed.
Comment 8 Mario Blättermann 2011-10-30 08:35:33 EDT
Two weeks without any response. I will close this review request now. If anyone wants to continue on this package, feel free to reopen the bug.

Note You need to log in before you can comment on or make changes to this bug.